package com.lightinit.hsdataplatform.model.admin;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class UserLogRuningModel {
    private  Long id;
    private String userLogMonitoringType;



    private String monitoringType;

    //用户日志监控时间
    private String monitoringTimeStrFrom;
    private String monitoringTimeStrTo;
    //监控周期
    private int monitoringCycle;
    //提醒方式
    private String alertMethod;
    //提醒时间
    private String alertTimeStrFrom;
    private String alertTimeStrTo;
    //用户日志监控时间
    private String userLogMonitoringTimeStrFrom;
    private String userLogMonitoringTimeStrTo;
    //监控周期
    private int userLogMonitoringCycle;
    //提醒方式
    private String userLogAlertMethod;
    //提醒时间
    private String userLogAlertTimeStrFrom;
    private String userLogAlertTimeStrTo;
    private Date createdAt;
    private Long createdBy;
    public String getMonitoringType() {
        return monitoringType;
    }

    public void setMonitoringType(String monitoringType) {
        this.monitoringType = monitoringType;
    }
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public int getMonitoringCycle() {
        return monitoringCycle;
    }

    public void setMonitoringCycle(int monitoringCycle) {
        this.monitoringCycle = monitoringCycle;
    }

    public String getAlertMethod() {
        return alertMethod;
    }

    public void setAlertMethod(String alertMethod) {
        this.alertMethod = alertMethod;
    }


    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public String getUserLogMonitoringType() {
        return userLogMonitoringType;
    }

    public void setUserLogMonitoringType(String userLogMonitoringType) {
        this.userLogMonitoringType = userLogMonitoringType;
    }

    public String getMonitoringTimeStrFrom() {
        return monitoringTimeStrFrom;
    }

    public void setMonitoringTimeStrFrom(String monitoringTimeStrFrom) {
        this.monitoringTimeStrFrom = monitoringTimeStrFrom;
    }

    public String getMonitoringTimeStrTo() {
        return monitoringTimeStrTo;
    }

    public void setMonitoringTimeStrTo(String monitoringTimeStrTo) {
        this.monitoringTimeStrTo = monitoringTimeStrTo;
    }

    public String getAlertTimeStrFrom() {
        return alertTimeStrFrom;
    }

    public void setAlertTimeStrFrom(String alertTimeStrFrom) {
        this.alertTimeStrFrom = alertTimeStrFrom;
    }

    public String getAlertTimeStrTo() {
        return alertTimeStrTo;
    }

    public void setAlertTimeStrTo(String alertTimeStrTo) {
        this.alertTimeStrTo = alertTimeStrTo;
    }
    public int getUserLogMonitoringCycle() {
        return userLogMonitoringCycle;
    }

    public void setUserLogMonitoringCycle(int userLogMonitoringCycle) {
        this.userLogMonitoringCycle = userLogMonitoringCycle;
    }

    public String getUserLogAlertMethod() {
        return userLogAlertMethod;
    }

    public void setUserLogAlertMethod(String userLogAlertMethod) {
        this.userLogAlertMethod = userLogAlertMethod;
    }

    public String getUserLogMonitoringTimeStrFrom() {
        return userLogMonitoringTimeStrFrom;
    }

    public void setUserLogMonitoringTimeStrFrom(String userLogMonitoringTimeStrFrom) {
        this.userLogMonitoringTimeStrFrom = userLogMonitoringTimeStrFrom;
    }

    public String getUserLogMonitoringTimeStrTo() {
        return userLogMonitoringTimeStrTo;
    }

    public void setUserLogMonitoringTimeStrTo(String userLogMonitoringTimeStrTo) {
        this.userLogMonitoringTimeStrTo = userLogMonitoringTimeStrTo;
    }

    public String getUserLogAlertTimeStrFrom() {
        return userLogAlertTimeStrFrom;
    }

    public void setUserLogAlertTimeStrFrom(String userLogAlertTimeStrFrom) {
        this.userLogAlertTimeStrFrom = userLogAlertTimeStrFrom;
    }

    public String getUserLogAlertTimeStrTo() {
        return userLogAlertTimeStrTo;
    }

    public void setUserLogAlertTimeStrTo(String userLogAlertTimeStrTo) {
        this.userLogAlertTimeStrTo = userLogAlertTimeStrTo;
    }
}
